org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Filter

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Filter
    extends Stage

A filter stage.

The given predicate must be invoked on each element consumed. If it returns `true`, the element must be emitted, otherwise, it must be dropped.

Any `RuntimeException` thrown by the predicate must be propagated downstream as an error, and upstream must be cancelled. Any subsequent elements received from upstream before the cancellation signal is handled must be dropped.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Predicate<?>` `getPredicate()` The predicate.

### Method Detail

#### getPredicate

    Predicate<?> getPredicate()

The predicate.

Returns:
  The predicate.